<template>
  <d-card
    :loadingTitle="loadingTitle"
    :titleNotFound="titleNotFound"
    :loadingContent="loadingContent"
    :contentNotFound="contentNotFound"
    :loadingContentType="loadingContentType"
    :loadingContentTypes="loadingContentTypes"
  >
    <template slot="header">
      <span class="font-weight-black white--text justify-space-between"
        >{{ data.descripcion }}
      </span>
    </template>
    <template slot="content">
      <v-row justify="center">
        <v-col md="6" lg="6" xl="6">
          <strong class="align-self-center">
            Responsable
          </strong>
          <div style="width:250px">
            <v-select
              class="ml-2"
              v-model="responsable"
              :items="data.responsables"
              item-text="descripcion"
              item-value="descripcion"
              :height="20"
              hide-details
              dense
              outlined
              return-object
            />
          </div>
        </v-col>
        <v-col md="6" lg="6" xl="6">
          <strong class="align-self-center">
            Sección
          </strong>
          <div style="width:250px">
            <v-select
              class="ml-2"
              v-model="seccion"
              :items="data.secciones"
              item-text="descripcion"
              item-value="idSeccion"
              :height="20"
              hide-details
              dense
              outlined
              return-object
            />
          </div>
        </v-col>
      </v-row>
      <v-simple-table>
        <template v-slot:default>
          <thead>
            <tr>
              <td>
                <strong class="font-weight-black subtitle-1">Pregunta</strong>
              </td>
              <td class="text-center">
                <strong class="font-weight-black subtitle-1"
                  >PDV en incumplimiento</strong
                >
              </td>
              <td class="text-center">
                <strong class="font-weight-black subtitle-1">Porcentaje</strong>
              </td>
            </tr>
          </thead>
          <tbody>
            <tr v-for="(item, index) in incumplimientos" :key="index">
              <td class="td-descripcion" width="60%">
                <strong>{{ index + 1 }}. </strong>{{ item.descripcion }}
              </td>
              <td class="text-center" width="15%">
                <strong>{{ item.total }}</strong>
              </td>
              <td class="text-center" width="15%">
                <strong>{{ item.porcentaje }}</strong>
              </td>
            </tr>
          </tbody>
        </template>
      </v-simple-table>
    </template>
  </d-card>
</template>
<style scoped>
.td-descripcion {
  min-width: 200px;
}
</style>
<script>
import CardChart from "@/views/secure/sistema-informacion/dashboards/v2/disciplinas/components/graficas/CardChart.vue";
import store from "@/store";
const axios = store.state.axiosApiLocal;
export default {
  name: "Component-InclumplientosSeccionResponsable",
  components: {
    "d-card": CardChart,
  },
  props: {
    loadingTitle: {
      required: false,
      default: true,
      type: Boolean,
    },
    loadingContent: {
      required: false,
      default: true,
      type: Boolean,
    },
    titleNotFound: {
      required: false,
      default: false,
      type: Boolean,
    },
    contentNotFound: {
      required: false,
      default: false,
      type: Boolean,
    },
    data: {
      required: true,
      default() {
        return {
          descripcion: null,
          secciones: [],
          responsables: [],
          values: [],
        };
      },
      type: Object,
    },
  },
  data() {
    return {
      loadingContentType: "table-row, table-thead, table-row-divider@3",
      loadingContentTypes: {
        "table-row": "table-cell@4",
      },
      seccion: this.data.secciones.length > 0 ? this.data.secciones[0] : null,
      responsable:
        this.data.responsables.length > 0 ? this.data.responsables[0] : null,
    };
  },
  watch: {
    "data.secciones"(val) {
      if (val.length > 0) {
        this.seccion = val[0];
      }
    },
    "data.responsables"(val) {
      if (val.length > 0) {
        this.responsable = val[0];
      }
    },
    responsable(val){
      this.$emit("responsable",val);
    },
    seccion(val){
      this.$emit("seccion",val);
    },
  },
  computed: {
    incumplimientos() {
      //this.getConsulta();
      return this.data.values.filter(
        (incumplimiento) =>
          this.seccion &&
          incumplimiento.idSeccion == this.seccion.idSeccion &&
          this.responsable &&
          incumplimiento.idResponsable == this.responsable.descripcion
      );
    },
  },
};
</script>
